Subject: bug#49855: Problem with GNU ELPA build of :core package (Re: [GNU ELPA] So-Long version 1.1)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 Aug 2021 10:10:49 +0200

Phil Sainty <[email-masked]> writes:

> I do understand that it's useful to be able to push changes
> without changing the version on ELPA, so that you only create
> a new release at the time you intend to, so I'm not asking for
> every commit to create a new build; just wondering whether it's
> possible to account for the branch merge scenario, where the
> merge commit was intended to be the version bump commit.

I don't really think there's any way to determine the intention here.
The developer may be working in a branch, fix something, bump the
number, fix some more (but doesn't want that to land in ELPA yet), and
then merge, for instance.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no